# Inspired by livna 
# stuff to be implemented externally:
Source10:  kmodtool
%define kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.18-1.2869.fc6}

%define kmod_name ieee80211 
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
%define xenvar xen
%define kdumpvar kdump
%endif
%ifarch i686 x86_64 ppc
%define kdumpvar kdump
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}

Summary: A generic ieee80211 networking stack for the Linux kernel
Name: ieee80211-kmod
Version: 1.2.16
Release: 1.%(echo %{kverrel} | tr - _)
License: GPL
Group: System Environment/Kernel
URL: http://ieee80211.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/ieee80211/ieee80211-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i586 i686 x86_64


%description
A generic ieee80211 networking stack for the Linux kernel.

%package -n ieee80211-devel
Summary: ieee80211 kernel devel files.
Group: Development/System

%description -n ieee80211-devel
The ieee80211 kernel devel are used for accessing the kernel modules' API.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%description 
This package contains kernel drivers for ieee80211.
This RPM contains a binary Linux kernel module build for %{kernel}.

%prep
%setup -q -c -n ieee80211-%{version}
pushd ieee80211-%{version}
#%patch0 -p1 -b -kw.patch
perl -pi -e's,/sbin/depmod,:,g' Makefile
grep -rl '#include <net/ieee80211.h>' . | xargs perl -pi -e's,#include <net/ieee80211.h>,#include "net/ieee80211.h",'
perl -pi -e's,__nocast ,,' ieee80211_tx.c net/ieee80211.h
popd

for kvariant in %{kvariants} ; do
    cp -a -r ieee80211-%{version} _kmod_build_$kvariant
done


%build

for kvariant in %{kvariants}
do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
pushd _kmod_build_$kvariant
make -C "${ksrc}" SUBDIRS=${PWD} modules %{?_smp_mflags}
popd
done

%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}; do
pushd _kmod_build_$kvariant
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
make \
  KVER="%{kverrel}${kvariant}"   \
  KSRC="${ksrc}" \
  KMISC="$RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}" \
  IEEE80211_INC="$RPM_BUILD_ROOT%{_includedir}/ieee80211" \
install
rm -rf $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/.tmp_versions
popd
done

chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*.ko
rm -rf $RPM_BUILD_ROOT%{_includedir}




%clean
rm -rf $RPM_BUILD_ROOT

%Changelog
* Sat Jan  6 2007 kwizart < kwizart at gmail.com > - 1.2.16-1
- Update to 1.2.16

* Sun Aug 27 2006 kwizart < kwizart at gmail.com > - 1.2.14-5_FC5
- Update to 1.2.15

* Tue Aug 08 2006 kwizart < kwizart at gmail.com > Release 4
- Update to extra module insertion

* Tue Jul 4 2006 kwizart at < fedora-france.org >
- switch to non-atrpms .spec format
- Update to 1.1.14

* Fri Mar 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.13.

